### Method

# Soup CookieJar set_cookie_with_first_party

#### Declaration [src]

    void
    soup_cookie_jar_set_cookie_with_first_party (
      SoupCookieJar* jar,
      GUri* uri,
      GUri* first_party,
      const char* cookie
    )

#### Description [src]

Adds `cookie` to `jar`, exactly as though it had appeared in a Set-Cookie header returned from a request to `uri`.

`first_party` will be used to reject cookies coming from third party resources in case such a security policy is set in the `jar`.

#### Parameters

`uri` | `GUri`
| The URI setting the cookie.
| The data is owned by the caller of the function.
`first_party` | `GUri`
| The URI for the main document.
| The data is owned by the caller of the function.
`cookie` | `const char*`
| The stringified cookie to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.